@echo off
@echo Hubo library build script for building all demo apps.

cd VersionInfo
call build.bat
cd ..

cd LoadTest
call build.bat
cd ..

cd DigitalInput1
call build.bat
cd ..

cd DigitalInput2
call build.bat
cd ..

cd DigitalInput3
call build.bat
cd ..

cd DigitalInput4
call build.bat
cd ..

cd DigitalInput5
call build.bat
cd ..

cd DigitalInput6
call build.bat
cd ..

cd DigitalOutput1
call build.bat
cd ..

cd DigitalOutput2
call build.bat
cd ..

cd AnalogInput1
call build.bat
cd ..

cd AnalogInput2
call build.bat
cd ..

cd AnalogInput3
call build.bat
cd ..

cd AnalogInput4
call build.bat
cd ..

cd AnalogInput5
call build.bat
cd ..

cd SetCycleTime
call build.bat
cd ..

cd SampleCallbacks
call build.bat
cd ..

cd MCP970x
call build.bat
cd ..

cd DS18x20
call build.bat
cd ..

cd DigitalSlaveList
call build.bat
cd ..

cd DigitalSlaveInput1
call build.bat
cd ..

cd DigitalSlaveInput2
call build.bat
cd ..

cd DigitalSlaveOutput1
call build.bat
cd ..

cd DigitalSlaveOutput2
call build.bat
cd ..

cd DigitalSlaveOutput3
call build.bat
cd ..

cd SlaveCycleTimeDivider
call build.bat
cd ..

cd AnalogRawInput
call build.bat
cd ..

cd DigitalRawInput
call build.bat
cd ..

cd GPIOInputOutput
call build.bat
cd ..

cd RCSocket
call build.bat
cd ..

cd Transceiver
call build.bat
cd ..

cd SetDigitalOutput
call build.bat
cd ..

cd GetDigitalInput
call build.bat
cd ..

cd GetAnalogInput
call build.bat
cd ..

cd AnalogDump
call build.bat
cd ..

cd BatteryTest
call build.bat
cd ..

cd JamDemo
call build.bat
cd ..

cd MD17177
call build.bat
cd ..

cd SFKS2B1
call build.bat
cd ..

cd TempController
call build.bat
cd ..

cd FanSpeed
call build.bat
cd ..


echo Done.
